// C Source File
// Created 19/07/2005; 18:57:19

#include "game.h"

void DrawHUDFrame(void) {
	memset(hudscreen, 0xFF, OFFSET_SKY_VERT*30);
	PortSet (hudscreen, 239, OFFSET_SKY_VERT);
	DrawLine(HUDX, HUDY, HUDX + (SIZE_X * ZOOM_SCR_HORZ) - 1, HUDY, A_REVERSE);
	DrawLine(HUDX, HUDY + 25, HUDX + (SIZE_X * ZOOM_SCR_HORZ) - 1, HUDY + 25, A_REVERSE);
	DrawLine(HUDX, HUDY, HUDX, HUDY + 25, A_REVERSE);
	DrawLine(HUDX  + (SIZE_X * ZOOM_SCR_HORZ) - 1, HUDY, HUDX + (SIZE_X * ZOOM_SCR_HORZ) - 1, HUDY + 25, A_REVERSE);
}

unsigned char timesprt[] = {0xE8, 0x9A, 0xAB, 0x9A, 0x49, 0x9A, 0xE8, 0x0A};

void DrawHUDFull(void) {
	DrawHUDFrame();
	DrawLine(HUDXO+20, HUDY, HUDXO+20, HUDY+25, A_REVERSE);
	DrawLine(HUDXO+21, HUDY, HUDXO+21, HUDY+25, A_REVERSE);
	DrawLine(HUDXO+47, HUDY, HUDXO+47, HUDY+25, A_REVERSE);
	DrawLine(HUDXO+46, HUDY, HUDXO+46, HUDY+25, A_REVERSE);
	DrawLine(HUDXO, HUDY, HUDXO, HUDY + 25, A_REVERSE);
	DrawLine(2*HUDX - HUDXO  + (SIZE_X * ZOOM_SCR_HORZ) - 1, HUDY, 2*HUDX - HUDXO + (SIZE_X * ZOOM_SCR_HORZ) - 1, HUDY + 25, A_REVERSE);
	unsigned char i, *tsprt = hudscreen + 30*(HUDY+3) + 7 + (HUDXO/8);
	for(i=8;i--;) {
		*(tsprt++) = timesprt[i];
		if(!(i%2)) tsprt += 28;
	}
	FontSetSys(F_4x6);
	DrawChar (HUDXO+60, HUDY+10, '\'', A_REVERSE);
	DrawChar (HUDXO+71, HUDY+10, '\"', A_REVERSE);
	DrawChar (HUDXO+60, HUDY+17, '\'', A_REVERSE);
	DrawChar (HUDXO+71, HUDY+17, '\"', A_REVERSE);
	DrawStr (HUDXO+1, HUDY+3, "RANK", A_REVERSE);
	DrawStr (HUDXO+86, HUDY+17, "LAP", A_REVERSE);
	DrawStr (HUDXO+138, HUDY+17, "km/h", A_REVERSE);
	
}

void DrawHUD2P(void) {
	memcpy(Plane0, hudscreen, OFFSET_SKY_VERT*30);
	memcpy(Plane1, hudscreen, OFFSET_SKY_VERT*30);
}

void DrawHUD4P(void) {
	unsigned char i;
	for(i=4;i--;)
		memcpy(Planes[i], hudscreen, OFFSET_SKY_VERT*30);
}
