// Header File
// Created 28/08/2004; 12:03:41

#ifndef TRACK_H
#define TRACK_H

#include "game.h"

typedef struct Track
{
	ExtraMap * xm;
	Map * sky;
	unsigned short mapstyle;
	unsigned short nbLaps;
	unsigned short gravity;
	unsigned short direction;
	unsigned short startx;
	unsigned short starty;
	unsigned char * trackName;
	unsigned char * trackComment;
}Track;

void setWayPoints(void);
void LoadTrack(ARCH * trackpack);
void LoadSky(void);
void FreeTrack(void);
void FreeSky(void);

#endif
