// C Header File
// Created 13/03/2004; 10:19:39

#ifndef MAP_H
#define MAP_H

#include "Mode7Engine.h"

#if ENABLE_GRAYSCALE == 1
typedef struct Map
{
	unsigned short dimX;
	unsigned short dimY;
	unsigned char * map;
	unsigned char * map0;
	unsigned char * map1;
}Map;

#else
typedef struct Map
{
	unsigned short dimX;
	unsigned short dimY;
	unsigned char * map;
	unsigned char * map0;
}Map;
#endif

Map * map_Load(ARCH * archmap, ARCH * archtile, const char * mapFileName, const char * tilesFileName);
void map_Free(Map * map);

#if ENABLE_LARGE_MAPS == 2

typedef struct ExtraMap
{
	unsigned short dimX;
	unsigned short dimY;
	unsigned char ** maptiles;
	unsigned char ** mask;
	unsigned char * map;
}ExtraMap;

ExtraMap * map_XMapLoad(ARCH * roadpk, ARCH * offroadpk, ARCH * maparch,
												const char * roadfile, const char * offroadfile,
												const char * roadmfile, const char * offroadmfile,
												unsigned short selectionoffset,
												const char * mapFileName
#if FORCE_MAP_WITDH_TO_1024 == 1
												, unsigned short fillwith
#endif
												);

void map_XMapFree(ExtraMap * map);

#endif


#endif
