// C Source File
// Created 25/01/2003; 21:20:38

#include "target.h"
#if CALC == 92

#include "Mode7Engine.h"
#include "kbd.h"

unsigned short Keys[9]={0,0,0,0,0,0,0,0,0};
unsigned short Repeat_Keys[9]={0,0,0,0,0,0,0,0,0};

void kbd_Scan(void) {
	unsigned char column;
	unsigned short i;
	unsigned char mask;
	column = _rowread (0xFFFE);
	mask = 0x10;
	for(i=0;i<4;i++) {
		if(column & mask)
			Keys[i]=1;
		else
			Keys[i]=0;
		mask = mask<<1;
	}
	column = _rowread (0xFFBF);
	if(column & 0x10) Keys[4] = 1;
	else  Keys[4] = 0;
	if(column & 0x40) Keys[7] = 1;
	else  Keys[7] = 0;
	if((_rowread (0xFFEF)) & 0x10) Keys[6] = 1;
	else  Keys[6] = 0;
	if((_rowread (0xFF7F)) & 0x10) Keys[5] = 1;
	else  Keys[5] = 0;
	if((_rowread (0xFEFF)) & 0x40) Keys[8] = 1;
	else  Keys[8] = 0;
}

void kbd_Repeat(void) {
	unsigned short i;

	kbd_Scan();
	for(i=0;i<9;i++) {
		if((Keys[i] == 0) || Repeat_Keys[i] == REPEAT)
			Repeat_Keys[i]=0;
		else
			Repeat_Keys[i]++;
	}
}

void kbd_Init(void) {
	SetIntVector (AUTO_INT_1, DUMMY_HANDLER);
	SetIntVector (AUTO_INT_5, DUMMY_HANDLER);
}

void kbd_End(void) {
	ReSetIntVector (AUTO_INT_1);
	ReSetIntVector (AUTO_INT_5);
}

#endif
