// Header File
// Created 02/01/2005; 20:11:47
#ifndef MEM_H
#define MEM_H

#include "Mode7Engine.h"

#if AUTO_INT_5_GRAYSCALE == 1
void InitExit (void);
#endif
void SetExitFunc (void (*exitFunc)(void));
__attribute__((noreturn)) void Exit (unsigned char msg);
void *Malloc (unsigned long Size);
void *MallocNoExit (unsigned long Size);
void *Realloc (void *Ptr, unsigned long NewSize);
void *ReallocNoExit (void *Ptr, unsigned long NewSize);
void Free (void *Ptr);
HANDLE Keep (void *Ptr);

INT_HANDLER SetIntVector(long IntVec, INT_HANDLER Handler); 
void ReSetIntVector(long IntVec);

#endif
