// C Source File
// Created 20/04/2005; 14:01:04


#include <tigcclib.h>
#include "compress.h"

const unsigned char MAP_TAG[] = {'\0', 'M', 'A', 'P', '\0', OTH_TAG};

// Main Function
void _main(void)
{
	char inputfilename[9];
	char outputfilename[9];
	unsigned short size, sizeComp;
	unsigned char * data;
	unsigned char * dataComp;
	SYM_ENTRY *sym ;
  ESI argptr;

  InitArgPtr (argptr);
  if(GetArgType (argptr) != STR_TAG) return;
  strncpy(inputfilename, GetStrnArg (argptr), 8);
  inputfilename[8] = '\0';
  if(GetArgType (argptr) != STR_TAG) return;
  strncpy(outputfilename, GetStrnArg (argptr), 8);
  outputfilename[8] = '\0';

	sym = SymFindPtr(SYMSTR(inputfilename),0);
	if(!sym) return;
	HANDLE inputH = sym->handle;
	data = HeapDeref(sym->handle);
	size = *(short *)(data) - 6;
	data += 2;
	if(memcmp(MAP_TAG, data + size, 6)) return;

	sym = DerefSym(SymAdd(SYMSTR(outputfilename)));
	if(!sym) return;

	HeapLock(inputH);
	dataComp = compress(data, size, &sizeComp);
	dataComp = (unsigned char *)realloc(dataComp, sizeComp + 7);
	HeapUnlock(inputH);
	dataComp -= 2;
	sym->handle=*(unsigned short *)dataComp;
	*(unsigned short*)dataComp = sizeComp + 7;
	HeapUnlock(sym->handle);
	
	dataComp += sizeComp+2;
	*(unsigned char *)(dataComp++)=0;
	*(unsigned char *)(dataComp++)='Z';
	*(unsigned char *)(dataComp++)='M';
	*(unsigned char *)(dataComp++)='A';
	*(unsigned char *)(dataComp++)='P';
	*(unsigned char *)(dataComp++)=0;
	*(unsigned char *)(dataComp++)=OTH_TAG;
}
